import { AppRouteRecordRaw } from '@/router/routes/types';
import { DEFAULT_LAYOUT } from '@/router/routes/base';

const SHOP: AppRouteRecordRaw = {
  path: '/shop',
  name: 'shop',
  component: DEFAULT_LAYOUT,
  meta: {
    locale: '产品',
    requiresAuth: true,
    icon: 'icon-folder',
    order: 0,
  },
  children: [
    {
      path: 'index',
      name: 'shopIndex',
      component: () => import('@/views/shop/index.vue'),
      meta: {
        locale: '产品',
        requiresAuth: true,
        roles: ['*'],
      },
    },
  ],
};

export default SHOP;
